GCLOUD_DATAFLOW_JOBS_DRAIN(1)

NAME

gcloud dataflow jobs drain - drains all jobs that match the command line arguments

SYNOPSIS

gcloud dataflow jobs drain JOB_ID [JOB_ID ...] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Once Drain is triggered, the pipeline will stop accepting new inputs. The input watermark will be advanced to infinity. Elements already in the pipeline will continue to be processed. Drained jobs can safely be cancelled.

POSITIONAL ARGUMENTS

    JOB_ID [JOB_ID ...]
        The job IDs to operate on.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.